from mu_map.dataset.default import MuMapDataset
from mu_map.dataset.normalization import MaxNormTransform


class MuMapMockDataset(MuMapDataset):
    def __init__(self, dataset_dir: str = "data/initial/", num_images: int = 16, logger=None):
        super().__init__(dataset_dir=dataset_dir, transform_normalization=MaxNormTransform(), logger=logger)
        self.len = num_images

    def __getitem__(self, index: int):
        recon, mu_map = super().__getitem__(0)
        recon = recon[:, :32, :, :]
        mu_map = mu_map[:, :32, :, :]
        return recon, mu_map / 40206.0

    def __len__(self):
        return self.len


if __name__ == "__main__":
    import cv2 as cv
    import numpy as np

    from mu_map.dataset.default import main

    dataset = MuMapMockDataset()
    main(dataset)
